#pragma once
#include "pch.h"


//µ¥¸ö×Ö·û½âÃÜ
char CutcodeChar(char c, int key, int key2) {
    return (((c - 1) ^ key) ^ key2) - key;
}

//½âÃÜ
void Cutecode(char* pstr, int* pkey) {
    int len = strlen(pstr);
    for (int i = 0; i < len; i++)
        *(pstr + i) = CutcodeChar(*(pstr + i), pkey[i % 5], pkey[(i + 18) % 5]);
}